/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.tp23.antinstaller.renderer.swing;

import javax.swing.JPanel;

import org.tp23.antinstaller.input.HiddenPropertyInput;
import org.tp23.antinstaller.input.OutputField;
import org.tp23.gui.GBCF;

/**
 * Swing UI hidden property renderer - displays nothing
 *
 * @author mwilson
 * @version $Id
 * @since 0.7.4 patch 6
 */
public class HiddenPropertyInputRenderer extends SwingOutputFieldRenderer
{
    HiddenPropertyInput inputField;

    public void setOutputField( OutputField ioField )
    {
        inputField = (HiddenPropertyInput) ioField;
        inputField.setInputResult( inputField.getDefaultValue() );
    }

    public void initComponent( JPanel parent )
    {

    }

    public void updateInputField()
    {

    }

    public void updateDefaultValue()
    {
        if( !inputField.isEditted() )
        {
            inputField.setInputResult( inputField.getDefaultValue() );
        }
    }

    public void renderError()
    {

    }

    public int addSelf( JPanel content, GBCF cf, int row, boolean overflow )
    {
        return row;
    }
}
